Skip to main content

Download the changes to the AML Database

GET 

https://api.dilisense.com/v1/getConsolidatedDelta

The getConsolidatedDelta API method returns a list of deviations compared to an earlier version of the database. It is formatted as JSON Lines and consists of the same attributes as described in the AML Screening API service, with a separate line per changed record.

Additionally the file-version is provided in the header which needs to be stored for the next API call.

Request​

Example request​

curl --location --request GET 'https://api.dilisense.com/v1/getConsolidatedDelta?previous=1744792260290' \
--header 'x-api-key: <api_key>'

Responses​

The changed records as JSON Lines, one change per line.

Response Headers
    File-Version

    The file-version, store it to call getConsolidatedDelta with it as previous next time.

Error responses are the same for all endpoints, see Errors.